{% load_banners position: position %}

{% if loaded_banners.size > 0 %}

  {% assign amount_to_load = 4 %}
  {% if mobile %}
    {% assign amount_to_load = 1 %}
  {% endif %}

  <section class="section section-icons-horizontal" data-icons-horizontal>
    <div class="container">
      <div class="swiper">
        <div class="swiper-wrapper">
          {% for banner in loaded_banners %}

            <div class="swiper-slide">
              {% if banner.file_url != blank %}
                <figure class="image-icon">
                  {% if forloop.index <= amount_to_load %}
                    <img src="{{ banner.file_url | resize: '55x' }}" alt="{{ banner.title }}"/>
                  {% else %}
                    <img class="lazy" loading="lazy" data-src="{{ banner.file_url | resize: '55x' }}" alt="{{ banner.title }}"/>
                  {% endif %}
                </figure>
              {% endif %}

              {% if banner.description != blank or banner.subtitle != blank %}
                <div class="text">
                  {% if banner.subtitle != blank %}
                    <span>{{ banner.subtitle }}</span>
                  {% endif %}
                  {% if banner.description != blank %}
                    {{ banner.description | replace: '<h1', '<h2' }}
                  {% endif %}
                </div>
              {% endif %}
            </div>
          {% endfor %}
        </div>
        <div class="swiper-pagination"></div>
      </div>
    </div>
  </section>
{% endif %}
